
$(document).ready(function() {
        // aktuální zastávka
    i=(getCookie("za")*1);
    max=getCookie("zm");
    zast = new Array();
    if (getCookie("zz_0")!=0) {
        obnov_zastavky();
    } else {
        nacist_zastavky();
    }

    $("#relodFile").click(function() {
        if (confirm('Opravdu znovu načíst data? Všechny časy budou smazány!')) {
            smaz_zast_all();
            nacist_zastavky();
        };
    });

    $("#frm_load").submit(function(e){
        if (confirm('Opravdu načíst novou linku? Všechna data budou smazána!')) {
            smaz_zast_all();
            return true;
        } else {
            return false;
        }
    });

    function nacist_zastavky () {
        var p_rand = Math.floor(Math.random() * (1000 - 9999 + 1) + 1000);
        $.get('./vyst/zast.txt?'+p_rand, function(data) {
        zast = data.split('\n');
        text="";
        $.each(zast, function(ind, val){
            if (ind==i) {
                $("#aktz").html(val);
            }
            if (val.length>0) {
                setCookie("zz_"+ind,val);
                cas ="";
                text += "<p>" + val + " # <span id='z_" + ind + "'>"+ cas + "</span></p>\n";
                max=ind;
            }
        });
        $("#container").html(text);
                // uložím max. číslo zastávky
        setCookie("zm",max);
        }, 'text');
    }

    function obnov_zastavky () {
        var text="";
        for (ind=0;ind<max;ind++) {
            val = getCookie("zz_"+ind);
            if (val.length>0) {
                if (ind==i) {
                    $("#aktz").html(val);
                }
                zast[ind] = val;
                cas = getCookie("zc_"+ind);
                if (cas==0) cas ="";
                if (val!=0) text += "<p>" + val + " # <span id='z_" + ind + "'>"+ cas + "</span></p>\n";
            }
        };
        $("#container").html(text);
                // uložím max. číslo zastávky
        setCookie("zm",max);
    };

    $("#cas").click(function() {
        var now = new Date();
        var hod = now.getHours();
        var min = now.getMinutes();
        var sec = now.getSeconds();
                // čísla na 2 řády
        if (hod<10) hod="0"+hod;
        if (min<10) min="0"+min;
        if (sec<10) sec="0"+sec;
        now = hod + ':' + min + ':' + sec;
        $("#z_"+i).html(now);
        setCookie("zc_"+i, now);
        $("#log").html("uloženo: " + zast[i] + " - čas: "+now);
        dalsi_zast();
    });
    function setCookie(key, value) {
        var expires = new Date();
        expires.setTime(expires.getTime() + (1 * 24 * 60 * 60 * 1000));
        document.cookie = key + '=' + value + ';expires=' + expires.toUTCString();
        //if (key!="za" && key!="zm") alert("ukladam "+key);
    }

    function getCookie(key) {
        var keyValue = document.cookie.match('(^|;) ?' + key + '=([^;]*)(;|$)');
        vysl=0;
        if (keyValue) vysl=keyValue[2];
        if (vysl=="undefined") {
            vysl=0;
        }
        return vysl;
    }
    $("#next").click(function() {
        dalsi_zast();
    });
    $("#prev").click(function() {
        if (i>0) {
            i--;
            $("#aktz").html(zast[i]);
                // uložím akt. číslo zastávky
            setCookie("za",i);
        }
    });
    function dalsi_zast() {
        if (i<max) {
            i++;
            $("#aktz").html(zast[i]);
                // uložím akt. číslo zastávky
            setCookie("za",i);
        }
    }

    function smaz_zast_all() {
        // smažu všechny cooke zastávek
        for (n=0;n<max;n++) {
            setCookie("zc_"+n);
            setCookie("zz_"+n);
        }
        // vynuluju aktuální zastávku
        setCookie("za");
        i=0;
    }

    $("#saveFile").click(function() {
                // data si stáhnu z cookies
        $.ajax({
            type: "GET",
            url: "./uloz.php",
            success: function(data){alert(data);},
            failure: function(errMsg) {
                alert(errMsg);
            }
        });
    });

    $("#vysl").click(function() {
                // přeskočit na výsledky
        window.location.href = 'vypis.php';
    });
});

